import type { OpenApiV3, OpenApiV3_1, SwaggerV2 } from "@samchon/openapi";
export declare namespace NestiaEditorModule {
    const setup: (props: {
        path: string;
        application: INestApplication;
        swagger: string | SwaggerV2.IDocument | OpenApiV3.IDocument | OpenApiV3_1.IDocument;
        package?: string;
        simulate?: boolean;
        e2e?: boolean;
    }) => Promise<void>;
}
interface INestApplication {
    use(...args: any[]): this;
    getUrl(): Promise<string>;
    getHttpAdapter(): INestHttpAdaptor;
    setGlobalPrefix(prefix: string, options?: any): this;
}
interface INestHttpAdaptor {
    getType(): string;
    close(): any;
    init?(): Promise<void>;
    get: Function;
    post: Function;
    put: Function;
    patch: Function;
    delete: Function;
    head: Function;
    all: Function;
}
export {};
